package CHAPTER05;

class Person4 {
    String name;

    Person4(String name) {
        this.name = name;
    }

    void introduce() {
        System.out.println("안녕하세요, 제 이름은 " + name + "입니다.");
    }
}

public class C5_28_ObjectReference2 {
    public static void main(String[] args) {
        // 객체 생성
        Person4 p = new Person4("장희수");
        p.introduce(); // 객체가 유효할 때 이름 출력

        // 참조 해제
        p = null;  
        System.out.println("참조 변수가 null로 설정되어 '장희수' 객체는 더 이상 접근 불가 → GC 대상");
    }
}
